<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: otExternalRouteConfig Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d4/d5d/structotExternalRouteConfig.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../d5/d4b/structotExternalRouteConfig-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">otExternalRouteConfig Struct Reference<div class="ingroups"><a class="el" href="../../d0/d2d/group__api.html">API</a> &raquo; <a class="el" href="../../d1/d44/group__config.html">Configuration</a> &raquo; <a class="el" href="../../db/da2/group__config-br.html">Border Router</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure represents an External Route configuration.  
 <a href="../../d4/d5d/structotExternalRouteConfig.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">include/openthread-types.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for otExternalRouteConfig:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d1e/structotExternalRouteConfig__coll__graph.png" border="0" usemap="#otExternalRouteConfig_coll__map" alt="Collaboration graph"/></div>
<map name="otExternalRouteConfig_coll__map" id="otExternalRouteConfig_coll__map">
<area shape="rect" id="node2" href="../../d2/ddd/structotIp6Prefix.html" title="This structure represents an IPv6 prefix. " alt="" coords="41,92,126,117"/>
<area shape="rect" id="node3" href="../../d6/d55/structotIp6Address.html" title="This structure represents an IPv6 address. " alt="" coords="33,5,133,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ae4284a42a6559c9a0b8b1f60d9bb3349"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae4284a42a6559c9a0b8b1f60d9bb3349"></a>
<a class="el" href="../../d2/ddd/structotIp6Prefix.html">otIp6Prefix</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5d/structotExternalRouteConfig.html#ae4284a42a6559c9a0b8b1f60d9bb3349">mPrefix</a></td></tr>
<tr class="memdesc:ae4284a42a6559c9a0b8b1f60d9bb3349"><td class="mdescLeft">&#160;</td><td class="mdescRight">The prefix for the off-mesh route. <br /></td></tr>
<tr class="separator:ae4284a42a6559c9a0b8b1f60d9bb3349"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a617ae82b63a236a334fa17c40a918b12"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a617ae82b63a236a334fa17c40a918b12"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5d/structotExternalRouteConfig.html#a617ae82b63a236a334fa17c40a918b12">mPreference</a>: 2</td></tr>
<tr class="memdesc:a617ae82b63a236a334fa17c40a918b12"><td class="mdescLeft">&#160;</td><td class="mdescRight">A 2-bit signed integer indicating router preference as defined in RFC 4291. <br /></td></tr>
<tr class="separator:a617ae82b63a236a334fa17c40a918b12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef6feede7f856cf9ac120777cb67209e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d5d/structotExternalRouteConfig.html#aef6feede7f856cf9ac120777cb67209e">mStable</a>: 1</td></tr>
<tr class="memdesc:aef6feede7f856cf9ac120777cb67209e"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRUE, if this configuration is considered Stable Network Data.  <a href="#aef6feede7f856cf9ac120777cb67209e">More...</a><br /></td></tr>
<tr class="separator:aef6feede7f856cf9ac120777cb67209e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure represents an External Route configuration. </p>
</div><h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="aef6feede7f856cf9ac120777cb67209e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool otExternalRouteConfig::mStable</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>TRUE, if this configuration is considered Stable Network Data. </p>
<p>FALSE, otherwise. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d4/d5d/structotExternalRouteConfig.html">otExternalRouteConfig</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
